
- name: Date range
  description: All fixture data
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07
  expected_result: |
    {"date":"2100-01-01","visits":3,"pageviews":5,"bounce_rate":0.33,"avg_session_sec":580.33}
    {"date":"2100-01-02","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-03","visits":3,"pageviews":7,"bounce_rate":0,"avg_session_sec":3333}
    {"date":"2100-01-04","visits":3,"pageviews":7,"bounce_rate":0.33,"avg_session_sec":572}
    {"date":"2100-01-05","visits":2,"pageviews":5,"bounce_rate":0,"avg_session_sec":308}
    {"date":"2100-01-06","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}

- name: Filtered by browser - Chrome
  description: Filtered by browser - Chrome
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&browser=chrome
  expected_result: |
    {"date":"2100-01-01","visits":1,"pageviews":2,"bounce_rate":0,"avg_session_sec":1111}
    {"date":"2100-01-02","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1115}
    {"date":"2100-01-04","visits":3,"pageviews":7,"bounce_rate":0.33,"avg_session_sec":572}
    {"date":"2100-01-05","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":493}
    {"date":"2100-01-06","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}

- name: Filtered by device - desktop
  description: Filtered by device - desktop
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&device=desktop
  expected_result: |
    {"date":"2100-01-01","visits":2,"pageviews":4,"bounce_rate":0,"avg_session_sec":870.5}
    {"date":"2100-01-02","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-03","visits":3,"pageviews":7,"bounce_rate":0,"avg_session_sec":3333}
    {"date":"2100-01-04","visits":3,"pageviews":7,"bounce_rate":0.33,"avg_session_sec":572}
    {"date":"2100-01-05","visits":2,"pageviews":5,"bounce_rate":0,"avg_session_sec":308}
    {"date":"2100-01-06","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}

- name: Filtered by location - UK
  description: Filtered by location - UK
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&location=GB
  expected_result: |
    {"date":"2100-01-01","visits":2,"pageviews":3,"bounce_rate":0.5,"avg_session_sec":315}
    {"date":"2100-01-02","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-03","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-04","visits":3,"pageviews":7,"bounce_rate":0.33,"avg_session_sec":572}
    {"date":"2100-01-05","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":493}
    {"date":"2100-01-06","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}

- name: Filtered by OS - Windows
  description: Filtered by OS - Windows
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&os=windows
  expected_result: |
    {"date":"2100-01-01","visits":2,"pageviews":4,"bounce_rate":0,"avg_session_sec":870.5}
    {"date":"2100-01-02","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-03","visits":3,"pageviews":7,"bounce_rate":0,"avg_session_sec":3333}
    {"date":"2100-01-04","visits":3,"pageviews":7,"bounce_rate":0.33,"avg_session_sec":572}
    {"date":"2100-01-05","visits":2,"pageviews":5,"bounce_rate":0,"avg_session_sec":308}
    {"date":"2100-01-06","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}

- name: Filtered by pathname - /about/
  description: Filtered by pathname - /about/
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&pathname=%2Fabout%2F
  expected_result: |
    {"date":"2100-01-01","visits":1,"pageviews":1,"bounce_rate":0,"avg_session_sec":630}
    {"date":"2100-01-02","visits":1,"pageviews":1,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-03","visits":1,"pageviews":2,"bounce_rate":0,"avg_session_sec":1115}
    {"date":"2100-01-04","visits":2,"pageviews":3,"bounce_rate":0,"avg_session_sec":858}
    {"date":"2100-01-05","visits":1,"pageviews":1,"bounce_rate":0,"avg_session_sec":123}
    {"date":"2100-01-06","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}

- name: Filtered by source - bing.com
  description: Filtered by source - bing.com
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&source=bing.com
  expected_result: |
    {"date":"2100-01-01","visits":1,"pageviews":2,"bounce_rate":0,"avg_session_sec":630}
    {"date":"2100-01-02","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1115}
    {"date":"2100-01-04","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-05","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-06","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-07","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}

- name: Filtered by member status - paid
  description: Filtered by member status - paid
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&member_status=paid
  expected_result: |
    {"date":"2100-01-01","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-02","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-03","visits":2,"pageviews":5,"bounce_rate":0,"avg_session_sec":2397}
    {"date":"2100-01-04","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-05","visits":1,"pageviews":2,"bounce_rate":0,"avg_session_sec":123}
    {"date":"2100-01-06","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-07","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}

- name: Filtered by member status - undefined
  description: Filtered by member status - undefined
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&member_status=undefined
  expected_result: |
    {"date":"2100-01-01","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-02","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-04","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":567}
    {"date":"2100-01-05","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":493}
    {"date":"2100-01-06","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}

- name: Filtered by timezone - America/Los_Angeles
  description: Filtered by timezone - America/Los_Angeles
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-07&timezone=America/Los_Angeles
  expected_result: |
    {"date":"2100-01-01","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-02","visits":3,"pageviews":7,"bounce_rate":0,"avg_session_sec":3333}
    {"date":"2100-01-03","visits":3,"pageviews":7,"bounce_rate":0.33,"avg_session_sec":572}
    {"date":"2100-01-04","visits":2,"pageviews":5,"bounce_rate":0,"avg_session_sec":308}
    {"date":"2100-01-05","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-06","visits":2,"pageviews":2,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-07","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}

- name: Single day - Date range
  description: Single day date range
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-01
  expected_result: |
    {"date":"2100-01-01 00:00:00","visits":1,"pageviews":1,"bounce_rate":1,"avg_session_sec":0}
    {"date":"2100-01-01 01:00:00","visits":1,"pageviews":2,"bounce_rate":0,"avg_session_sec":1111}
    {"date":"2100-01-01 02:00:00","visits":1,"pageviews":2,"bounce_rate":0,"avg_session_sec":630}
    {"date":"2100-01-01 03:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 04:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 05:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 06:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 07:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 08:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 09:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 10:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 11:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 12:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 13:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 14:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 15:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 16:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 17:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 18:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 19:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 20:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 21:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 22:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 23:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    
- name: Single day - Filtered by pathname - /about/
  description: Filtered by pathname - /about/
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-03&date_to=2100-01-03&pathname=%2Fabout%2F
  expected_result: |
    {"date":"2100-01-03 00:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 01:00:00","visits":1,"pageviews":1,"bounce_rate":0,"avg_session_sec":1115}
    {"date":"2100-01-03 02:00:00","visits":0,"pageviews":1,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 03:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 04:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 05:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 06:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 07:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 08:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 09:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 10:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 11:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 12:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 13:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 14:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 15:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 16:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 17:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 18:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 19:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 20:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 21:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 22:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-03 23:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}

- name: Single day - Date range with timezone filter
  description: Single day date range with timezone filter
  parameters: site_uuid=mock_site_uuid&date_from=2100-01-01&date_to=2100-01-01&timezone=America/Los_Angeles
  expected_result: |
    {"date":"2100-01-01 00:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 01:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 02:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 03:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 04:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 05:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 06:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 07:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 08:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 09:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 10:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 11:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 12:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 13:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 14:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 15:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 16:00:00","visits":1,"pageviews":3,"bounce_rate":0,"avg_session_sec":1027}
    {"date":"2100-01-01 17:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 18:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 19:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 20:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 21:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 22:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
    {"date":"2100-01-01 23:00:00","visits":0,"pageviews":0,"bounce_rate":0,"avg_session_sec":0}
